Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Journeys

Start Journey Execution

POST
/v1/journey-executions/start

Starts journey Execution.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

journey_id*string

Unique identifier of the related journey.

Formatuuid
context?|

Context value for this resource.

contact*

Contact value for this resource.

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/journey-executions/start" \  -H "Content-Type: application/json" \  -d '{    "journey_id": "dbb196a2-10f8-4856-b09c-454a1fe6bf09",    "contact": {}  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "journey_id": "dbb196a2-10f8-4856-b09c-454a1fe6bf09",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "status": "aborted"}